Bug 61886 - pam_unix nis password update
Summary: pam_unix nis password update
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-25 16:52 UTC by Guillaume Perréal
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-16 12:31:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Guillaume Perréal 2002-03-25 16:52:49 UTC
Description of Problem:
I read in the pam_unix module documentation that this module could 
update nis passwords, when the "nis" option is supplied. But instead, it produces an error (see 
below).

Version-Release number of selected component: pam-0.75-19

How 
Reproducible:
Always

Steps to Reproduce:
1. Set /etc/pam.d/passwd to:
password   
required     /lib/security/pam_stack.so service=system-auth

2. Set /etc/pam.d/system-auth 
to:
password    required      /lib/security/pam_cracklib.so retry=3 type=
password    sufficient    
/lib/security/pam_unix.so use_authtok md5 shadow nis
password    required      
/lib/security/pam_deny.so

3. try to change an user password :
[root@xxx]# passwd 
xxx

Actual Results:
Output of command 'passwd xxx' :
  Changing password for user xxx
  
New password:
  Retype new password:
  RPC: Can't encode arguments
  The password has not been 
changed on xxx.
  passwd: Failed preliminary check by password service

Expected 
Results:
Updating of the nis shadow map.

Additional Information:
I tried all this on the 
nis master server.
Related packages:	
  ypbind-1.8-1
  ypserv-1.3.12-2
  shadow-utils-
19990827-18

Comment 1 Tomas Mraz 2004-10-20 09:25:45 UTC
Please retest with latest Fedora Core.


Comment 2 Tomas Mraz 2004-11-16 12:30:59 UTC
No response.


Note You need to log in before you can comment on or make changes to this bug.